Pular para o conteúdo

/api/v1/tasks (POST)

POST
/api/v1/tasks
curl --request POST \
--url https://api.endless.zaia.app/api/v1/tasks \
--header 'Content-Type: application/json' \
--data '{ "agentId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "condition": "example", "name": "example", "prompt": "example", "status": "active" }'

Creates a new task.

Media typeapplication/json
object
agentId
required

The agent ID associated with the task.

string format: uuid
condition
required

The condition that must be met for the task to be executed.

string
>= 3 characters <= 250 characters
name
required

The display name of the task.

string
>= 3 characters <= 50 characters
prompt
required

What will be set as the main object of the agent when the task is selected.

string
>= 3 characters <= 2000 characters
status
required

The lifecycle status of the task.

string
Allowed values: active inactive

The task was created.

Media typeapplication/json
object
createdAt
required
string format: date-time
id
required

A UUID v4 string that identifies an entity.

string format: uuid
isRemoved
required
boolean
referenceId
required

The ID of the original entity in production.

string format: uuid
nullable
updatedAt
required
string format: date-time
versionId
required

A UUID v4 string that identifies an entity.

string format: uuid
agentId
required

The agent ID associated with the task.

string format: uuid
condition
required

The condition that must be met for the task to be executed.

string
>= 3 characters <= 250 characters
name
required

The display name of the task.

string
>= 3 characters <= 50 characters
prompt
required

What will be set as the main object of the agent when the task is selected.

string
>= 3 characters <= 2000 characters
status
required

The lifecycle status of the task.

string
Allowed values: active inactive
Example
{
"status": "active"
}

Unauthorized.

Media typeapplication/json

The description of a known exception.

object
code

The error code.

string
cta

The error call-to-action.

object
type
required
string
Allowed values: support-contact
url
required
string format: uri
feedback
required

The error feedback.

object
enUs
string
esEs
string
ptBr
string
message
required

The error message.

string
name
required

The error name.

string
Example
{
"cta": {
"type": "support-contact"
}
}

Agent not found.

Media typeapplication/json

The description of a known exception.

object
code

The error code.

string
cta

The error call-to-action.

object
type
required
string
Allowed values: support-contact
url
required
string format: uri
feedback
required

The error feedback.

object
enUs
string
esEs
string
ptBr
string
message
required

The error message.

string
name
required

The error name.

string
Example
{
"cta": {
"type": "support-contact"
}
}